| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ISequencerTimerTool Class Referenceabstract

Implements the time measurement inside a sequencer. More...

`#include <GaudiAlg/ISequencerTimerTool.h>`

Inheritance diagram for ISequencerTimerTool:
[legend]
Collaboration diagram for ISequencerTimerTool:
[legend]

## Public Member Functions
| DeclareInterfaceID (ISequencerTimerTool, 3, 0)
| InterfaceID. More...
virtual int | addTimer (const std::string &name)=0
| add a timer entry with the specified name More...
virtual void | increaseIndent ()=0
| Increase the indentation of the name. More...
virtual void | decreaseIndent ()=0
| Decrease the indentation of the name. More...
virtual void | start (int index)=0
| start the counter, i.e. More...
virtual double | stop (int index)=0
| stop the counter, return the elapsed time More...
virtual const std::string & | name (int index)=0
| returns the name of the counter More...
virtual double | lastTime (int index)=0
| returns the last measured time time More...
virtual int | indexByName (const std::string &name)=0
| returns the index of the counter with that name, or -1 More...
virtual bool | globalTiming ()=0
| returns the flag telling that global timing is wanted More...
virtual void | saveHistograms ()=0
| prepares and saves the timing histograms More...
| ~ISequencerTimerTool () override=default
| Destructor. More...
Public Member Functions inherited from IAlgTool
| DeclareInterfaceID (IAlgTool, 4, 0)
| InterfaceID. More...
| ~IAlgTool () override=default
| Virtual destructor. More...
virtual const std::string & | type () const =0
| The type of an AlgTool, meaning the concrete AlgTool class. More...
virtual const IInterface * | parent () const =0
| The parent of the concrete AlgTool. More...
virtual StatusCode | configure ()=0
| Configuration (from OFFLINE to CONFIGURED). More...
virtual StatusCode | initialize ()=0
| Initialization (from CONFIGURED to INITIALIZED). More...
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING). More...
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED). More...
virtual StatusCode | finalize ()=0
| Finalize (from INITIALIZED to CONFIGURED). More...
virtual StatusCode | terminate ()=0
| Initialization (from CONFIGURED to OFFLINE). More...
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED). More...
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED). More...
virtual Gaudi::StateMachine::State | FSMState () const =0
| Get the current state. More...
virtual StatusCode | sysInitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStart ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStop ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysFinalize ()=0
| Finalization of the Tool. More...
virtual StatusCode | sysReinitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysRestart ()=0
| Initialization of the Tool. More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
virtual | ~INamedInterface ()=default
| Virtual destructor (always needed for abstract classes). More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Implements the time measurement inside a sequencer.

Author
  Olivier Callot

Date
  2004-05-19

Definition at line 14 of file ISequencerTimerTool.h.

## Constructor & Destructor Documentation

ISequencerTimerTool::~ISequencerTimerTool | ( |  | ) |
| override default

Destructor.

## Member Function Documentation

virtual int ISequencerTimerTool::addTimer | ( | const std::string & | name | ) |
| pure virtual

add a timer entry with the specified name

Implemented in SequencerTimerTool.

ISequencerTimerTool::DeclareInterfaceID | ( | ISequencerTimerTool | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual void ISequencerTimerTool::decreaseIndent | ( |  | ) |
| pure virtual

Decrease the indentation of the name.

Implemented in SequencerTimerTool.

virtual bool ISequencerTimerTool::globalTiming | ( |  | ) |
| pure virtual

returns the flag telling that global timing is wanted

Implemented in SequencerTimerTool.

virtual void ISequencerTimerTool::increaseIndent | ( |  | ) |
| pure virtual

Increase the indentation of the name.

Implemented in SequencerTimerTool.

virtual int ISequencerTimerTool::indexByName | ( | const std::string & | name | ) |
| pure virtual

returns the index of the counter with that name, or -1

Implemented in SequencerTimerTool.

virtual double ISequencerTimerTool::lastTime | ( | int | index | ) |
| pure virtual

returns the last measured time time

Implemented in SequencerTimerTool.

virtual const std::string& ISequencerTimerTool::name | ( | int | index | ) |
| pure virtual

returns the name of the counter

Implemented in SequencerTimerTool.

virtual void ISequencerTimerTool::saveHistograms | ( |  | ) |
| pure virtual

prepares and saves the timing histograms

Implemented in SequencerTimerTool.

virtual void ISequencerTimerTool::start | ( | int | index | ) |
| pure virtual

start the counter, i.e.

register the current time

Implemented in SequencerTimerTool.

virtual double ISequencerTimerTool::stop | ( | int | index | ) |
| pure virtual

stop the counter, return the elapsed time

Implemented in SequencerTimerTool.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/ISequencerTimerTool.h